package abacus.springboot.example.api.view;

import io.swagger.v3.oas.annotations.media.Schema;

@Schema(description = "图片明细" , name = "ApiReqJcBillPhotoItem")
public class ApiReqJcBillPhotoItem {

	@Schema(description = "货品编号", pattern="type=1时，必填",required = false, example = "HG202411180001")
	private String id;
	
	@Schema(description = "图片类型", required = true, pattern = "回购违规通知函、回购支付凭证、稽查付款截图、稽查货品图", example = "回购违规通知函")
	private String typePhoto;
	
	@Schema(description = "图片地址", required = true, example = "http:ip/1.jpg")
	private String urlPhoto;

	public String getTypePhoto() {
		return typePhoto;
	}

	public void setTypePhoto(String typePhoto) {
		this.typePhoto = typePhoto;
	}

	public String getUrlPhoto() {
		return urlPhoto;
	}

	public void setUrlPhoto(String urlPhoto) {
		this.urlPhoto = urlPhoto;
	}
}
